package twlauncher;


$time_code = time;

($sec, $min, $hour, $mday, $mon, $year, $wday, $yday, $isdst) = localtime(time);
$year = $year+1900;
$mon = $mon + 1;



sub head_launch{

if($print_mode eq "def"){

$jpshead_code=<<END;
Content-type: text/html\n
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="copyright" content="Copyright (C) $year Turbo Works">
$meta
<title>$site_title $location</title>
<link href="./dat/mark4.css" rel="stylesheet" type="text/css">
</head>
<body>
END

}


elsif($print_mode eq "cell"){

$css_location = "./dat/cell.css";
open(DAT, $css_location);
@css_lines = <DAT>; 
close(DAT);

$jpshead_code=<<END;
Content-type: text/html\n
<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//WAPFORUM//DTD XHTML Mobile 1.0//EN" "http://www.wapforum.org/DTD/xhtml-mobile10.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="copyright" content="Copyright (C) $year $site_title">
$meta
<title>$site_title $location</title>
@css_lines
</head>
<body>
END

}

elsif($print_mode eq "smart"){

$jpshead_code=<<END;
Content-type: text/html\n
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="copyright" content="Copyright (C) $year $site_title">
<meta name="viewport" content="width=device-width,minimum-scale=1.0,maximum-scale=1.0,user-scalable=no"/>
$meta
<title>$site_title $location</title>
<link href="./dat/smart.css" rel="stylesheet" type="text/css">
</head>
<body>
END

}

else{

$jpshead_code=<<END;
Content-type: text/html\n
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="copyright" content="Copyright (C) $year $site_title">
$meta
<title>$site_title $location</title>
<link href="./dat/pc.css" rel="stylesheet" type="text/css">
</head>
<body>
END

}


print "$jpshead_code";

}



sub foot_launch{

$jpsfoot_code=<<END;
</body>
</html>
END

print "$jpsfoot_code";

}



sub imput_window{

if($print_mode eq "cell"){
$window_serv = <<END;
<div align="center" class="title">$fds_title</div>
<div class="body">$fds_body</div>
END
}
else{
$colbrock = 'colbrock';
$colbrocktitle = 'colbrocktitle';
$colbrockbody = 'colbrockbody';
$window_serv = <<END;
<div class="$fds_col$colbrock">
<div class="$fds_col$colbrocktitle">$fds_title</div>
<div class="$fds_col$colbrockbody">
$fds_body
</div>
</div>
END
}

}



sub push_window{

&imput_window;
if($fds_col eq "left"){push(@prm_left, $window_serv)}
elsif($fds_col eq "center"){push(@prm_center, $window_serv)}
elsif($fds_col eq "right"){push(@prm_right, $window_serv)}

}


sub unshift_window{

&imput_window;
if($fds_col eq "left"){unshift(@prm_left, $window_serv)}
elsif($fds_col eq "center"){unshift(@prm_center, $window_serv)}
elsif($fds_col eq "right"){unshift(@prm_right, $window_serv)}

}


sub push_na{

if($fds_col eq "left"){push(@prm_left, $fds_body)}
elsif($fds_col eq "center"){push(@prm_center, $fds_body)}
elsif($fds_col eq "right"){push(@prm_right, $fds_body)}

}


sub unshift_na{

if($fds_col eq "left"){unshift(@prm_left, $fds_body)}
elsif($fds_col eq "center"){unshift(@prm_center, $fds_body)}
elsif($fds_col eq "right"){unshift(@prm_right, $fds_body)}

}



sub output{

if($lang_mode eq "jp"){$office_link = 'http://turbo-works.com'}
elsif($lang_mode eq "en"){$office_link = 'http://turbo-works.com/us/'}
else{$office_link = 'http://turbo-works.com'}


if($print_mode eq "cell"){
print <<END;
<div align="center" class="header">$site_title</div>
$cell_top
@prm_center
<br><br>
@prm_left
<br><br>
@prm_right
$cell_bottom
<div align="center" class="footer">$site_title</div>
<div align="center" style="background-color:#222222;"><font size="2">
<a href="./index.cgi?$uid_p\pr_mode=pc" style="color:#FFFFFF">$desktop</a>
<a href="./index.cgi?$uid_p\pr_mode=smart" style="color:#FFFFFF">$smart</a><br><br>
<font color="#FFFFFF">Copyright (C) $year $site_title</font><br><br>
<div style="background:#111111;"><a href="$office_link" style="color:#FFFFFF;">Content Management System MARK 4 by Turbo-Works</a></div>
</font></div>
END
}


elsif($print_mode eq "smart"){
print <<END;
$p_head_ph
$head_source
$smart_top
@prm_center
<br><br>
@prm_left
<br><br>
@prm_right
$smart_bottom
$foot_source
$p_foot_ph
<div align="center" style="background-color:#222222;"><font size="2">
<a href="./index.cgi?$uid_p\pr_mode=pc" style="color:#FFFFFF">$desktop</a>
<a href="./index.cgi?$uid_p\pr_mode=cell" style="color:#FFFFFF">$mobile</a><br><br>
<font color="#FFFFFF">Copyright (C) $year $site_title</font><br>
<div style="background:#111111;"><a href="$office_link" style="color:#FFFFFF;">Content Management System MARK 4 by Turbo-Works</a></div>
</font></div>
END
}


else{

unshift(@prm_left, $left_top);
unshift(@prm_center, $center_top);
unshift(@prm_right, $right_top);
push(@prm_left, $left_bottom);
push(@prm_center, $center_bottom);
push(@prm_right, $right_bottom);

unless($p_head_ph eq "" and $head_source eq ""){
$pr_head = <<END
  <tr>
    <td colspan="5" align="center" valign="top"><div class="header">$p_head_ph$head_source</div></td>
  </tr>
END
}

unless($p_foot_ph eq "" and $foot_source eq ""){
$pr_foot = <<END
  <tr>
    <td colspan="5" align="center" valign="bottom"><div class="footer">$foot_source$p_foot_ph</div></td>
  </tr>
END
}

print <<END;
<table width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0">
$pr_head
<tr height="100%"><td>
<table height="100%" border="0" align="center" cellpadding="0" cellspacing="0">
<tr>
<td  class="temp_left"> @prm_left </td>
<td  class="temp_center"> @prm_center </td>
<td  class="temp_right"> @prm_right </td>
</tr>
</table>
</td></tr>
$pr_foot
<tr>
<td height="10" colspan="5" align="center" valign="bottom" bgcolor="#222222"><font size="2">
<a href="./index.cgi?$uid_p\pr_mode=cell" style="color:#FFFFFF">$mobile</a>
<a href="./index.cgi?$uid_p\pr_mode=smart" style="color:#FFFFFF">$smart</a>
<br /><br />
<font color="#FFFFFF">Copyright (C) $year $site_title</font><br />
<br />
<div style="background:#111111;"><a href="$office_link" style="color:#FFFFFF;">Content Management System MARK 4 by Turbo-Works</a></div>
</font></td>
</tr>
</table>
END
}

}

1;